## org.apache.tools.ant.util
Class TaskLogger

    java.lang.Object
      org.apache.tools.ant.util.TaskLogger

public final class TaskLogger
extends java.lang.Object

A facade that makes logging nicers to use.

Version:
  $Revision: 1.1.2.1 $ $Date: 2003/02/10 14:25:24 $
Author:
  Peter Donald

Constructor Summary
`TaskLogger(Task task)`

Method Summary
`void` `debug(java.lang.String message)`
`void` `error(java.lang.String message)`
`void` `info(java.lang.String message)`
`void` `verbose(java.lang.String message)`
`void` `warning(java.lang.String message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskLogger

    public TaskLogger(Task task)

Method Detail

### info

    public void info(java.lang.String message)

### error

    public void error(java.lang.String message)

### warning

    public void warning(java.lang.String message)

### verbose

    public void verbose(java.lang.String message)

### debug

    public void debug(java.lang.String message)

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.